#!/bin/sh
#
# Startup script for Zeo server.
#
# $FreeBSD: ports/www/zope29/files/zeo29.sh.in,v 1.1 2006/01/28 10:07:29 pav Exp $
#

# PROVIDE: zeo29
# REQUIRE: DAEMON
# BEFORE: zope29

# Define these zeo29_* variables in one of these files:
#       /etc/rc.conf
#       /etc/rc.conf.local
#       /etc/rc.conf.d/zeo29
#
# zeo29_enable : bool
#   Enable Zeo ("YES") or not ("NO", the default).
#
# zeo29_instances : list
#   List of dirs with Zeo's instances ("" by default).
#

. /etc/rc.subr

name="zeo29"
rcvar=`set_rcvar`

zeo29ctl () {
    for instance in $zeo29_instances; do
	if [ -d ${instance} ]; then
	    echo -n "  Zeo instance ${instance} -> "
	    ${instance}/bin/zeoctl "$1"
	fi
    done
}

zeo29_start () {
    echo "Starting Zeo 2.9:"
    zeo29ctl "start"
}

zeo29_stop () {
    echo "Stopping Zeo 2.9:"
    zeo29ctl "stop"
}

zeo29_restart () {
    echo "Restarting Zeo 2.9:"
    zeo29ctl "restart"
}

  start_cmd="zeo29_start"
   stop_cmd="zeo29_stop"
restart_cmd="zeo29_restart"

load_rc_config $name

: ${zeo29_enable="NO"}
: ${zeo29_instances=""}

cmd="$1"
[ $# -gt 0 ] && shift
[ -n  "$*" ] && zeo29_instances="$*"

run_rc_command "${cmd}"
